#! /bin/bash

# This script is copied to the node and run via ssh.
# The mount-rw-and-rw-image.sh does the copy and runs it in parallel.

mount -n -o rw,noatime,nocto,actimeo=3600,lookupcache=all,nolock,tcp,vers=3 172.23.255.232:/cm_shared/image/images_rw_nfs /tmp/mnt1

IMAGENAME=rhel8.0

if [ -z "$RW_SPARSE_PERHOST_SIZE" ]; then
        RW_SPARSE_PERHOST_SIZE="500M"
fi

if [ ! -r /tmp/mnt1/$HOSTNAME/$IMAGENAME/xfs-test.img ]; then
        cmd="truncate -s $RW_SPARSE_PERHOST_SIZE /tmp/mnt1/$HOSTNAME/$IMAGENAME/xfs-test.img"
        echo "Creating sparse image on RW NFS path to hold FS image, cmd: $cmd"
        $cmd

        cmd="mkfs.xfs -f /tmp/mnt1/$HOSTNAME/$IMAGENAME/xfs-test.img"
        echo "Creating XFS filesystem on sparse image on RW NFS path, cmd: $cmd"
        $cmd

else
        cmd="truncate -s $RW_SPARSE_PERHOST_SIZE /tmp/mnt1/$HOSTNAME/$IMAGENAME/xfs-test.img"
        echo "Ensuring size is current for XFS Image on RW NFS, cmd: $cmd"
        $cmd
fi


cmd="mount -o loop /tmp/mnt1/$HOSTNAME/$IMAGENAME/xfs-test.img /tmp/i1"
echo "$header Mounting XFS Image that resides on RW NFS, cmd: $cmd"
$cmd
if [ $? -ne 0 ]; then
        echo "$header Error: loopback mounting of XFS Image failed. See above"
        shellout
fi


cmd="xfs_growfs /tpm/i1"
echo "$header Growing the filesystem if needed, cmd: $cmd"
$cmd

